Subject: bug#8293: closed (Re: Bug#8293)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 08 Jan 2012 13:29:02 +0000

Your bug report

#8293: mpc.el: "error in process filter"

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
8293: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=8293
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: Bug#8293
From: Stefan Monnier <[email-masked]>
To: Chong Yidong <[email-masked]>
Cc: [email-masked]
Date: Sun, 08 Jan 2012 08:28:36 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

> Could you commit your patch for Bug#8293 and close the bug?  Thanks.

I committed it back when I posted it,

        Stefan

Subject: mpc.el: "error in process filter"
From: [email-masked]
To: [email-masked]
Date: Sat, 19 Mar 2011 12:04:14 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

I am using a semi-fresh build of emacs master on i686-pc-linux-gnu. This is a bug report concerning mpc.el. I have not modifier mpc.el or its variables so far.

When selecting an album in the "Albums | Playlists"-view (upper right corner), mpc.el issues a find command regarding Albums and Playlists
E.g. for an Album called 2001:

Send "(find Album 2001)"
Receive "file: dr. dre - 2001/Dr. Dre - Lolo.mp3
	Time: 42
	Artist: Dr. Dre
	Title: Lolo
[etc.]
	file: dr. dre - 2001/Dr. Dre - Bang Bang.mp3
	Time: 222
	Artist: Dr. Dre
	Title: Bang Bang
	Album: 2001
	Track: 21
	Genre: Hip-Hop
	OK
	"
Send "(listplaylistinfo 2001)"
Receive "ACK [50@0] {listplaylistinfo} No such playlist
	"

mpc--proc-filter regards "ACK [50@0] {listplaylistinfo} No such playlist" to be an error and signals an mpc-proc-error.
In mpc-cmd-find (mpc.el:599) the mpc-proc-cmd that issues that listplaylistinfo-request explicitly ignores any error by wrapping the invocation in a condition-case with a nil error handler.
Unfortunately this does not work. As the error is signaled by a process filter, emacs itself issues an error in process.c . That means, the signal never escapes the process filter. This leads to an ugly error output and the album selection does not work at all.

I think this is a bug.
/-Axel

In GNU Emacs 24.0.50.1 (i686-pc-linux-gnu, GTK+ Version 2.22.0)
 of 2011-03-03 on ghost
Windowing system distributor `The X.Org Foundation', version 11.0.10900000
Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Recent messages:
error in process filter: mpc--proc-filter: MPD error
error in process filter: MPD error